Support » Plugin: Post SMTP Mailer/Email Log » Error since last update

  • Hey there,

    Since the last update 2.0.4, when I go in my log I have a bunch of line with this error :

    Warning: json_decode() expects parameter 1 to be string, array given in /XXX/wp-content/plugins/post-smtp/Postman/PostmanLogFields.php on line 61

    Dont had this before, is this normal ?

Viewing 14 replies - 1 through 14 (of 14 total)
  • Plugin Author yehudah

    (@yehudah)

    Hi,

    Any chance you can contact me?

    select other
    https://postmansmtp.com/contact/

    Done !

    I am getting the same error message –

    Warning: json_decode() expects parameter 1 to be string, array given in /homepages/23/d96143129/htdocs/birdline/wp-content/plugins/post-smtp/Postman/PostmanLogFields.php on line 61

    Thanks for any help you can give

    I am getting the same error message after installing version 2.0.4

    Warning: json_decode() expects parameter 1 to be string, array given in /home/ukulele/public_html/wp-content/plugins/post-smtp/Postman/PostmanLogFields.php on line 61

    Thanks in advance.

    Plugin Author yehudah

    (@yehudah)

    Hi,

    Uploading a version later, just ignore for now.
    New logs should be ok.

    Hi, IM HAVING THE same error
    PostmanLogFields.php on line 61
    and also PostmanLogFields.php on line 53

    Could you helo me please

    Plugin Author yehudah

    (@yehudah)

    But if I already have one installed, do o I erase it or leave it there?

    I installed that version and look it appears these.

    expected error ocurred {

    “readystate”: 4,
    “response text”: “The site is experiencing technical difficulties”
    “status”:500
    status text:”internal server error”

    Hi, I updated the Post SMTP plugin on August 21st, from that moment the error mentioned in the first post of this thread appeared in the logs.

    “Warning: json_decode () expects parameter 1 to be string, array given in /var/www/vhosts/mydomain.com/httpdocs/wp-content/plugins/post-smtp/Postman/PostmanLogFields.php on line 61”

    From that moment I have the following problem: the emails sent by the compilation of a form (CF7) start correctly, but the user sees the icon of the arrows that run endlessly and the email confirmation Mail (2) does not start. Then the user thinks he has failed to submit the form and recompiles it generating other problems.

    In the logs, only starting from that moment, I see the following error, every time an email doesn’t start:

    [Wed Aug 21 22: 56: 11.661650 2019] [proxy_fcgi: error] [pid 16206] [client 79.16.224.179:41748] AH01071: Got error ‘PHP message: PHP Fatal error: Allowed memory size of 134217728 bytes exhausted (tried to allocated 20480 bytes) in /var/www/vhosts/mydomain.com/httpdocs/wp-includes/meta.php on line 952 n ‘, referer: https://www.mydomain.com/work-with-us/
    [Wed Aug 21 22: 56: 11.661842 2019] [proxy_fcgi: error] [pid 16206] [client 79.16.224.179:41748] AH01071: Got error ‘PHP message: PHP Fatal error: Allowed memory size of 134217728 bytes exhausted (tried to allocated 32768 bytes) in /var/www/vhosts/mydomain.com/httpdocs/wp-content/plugins/woocommerce/includes/log-handlers/class-wc-log-handler-file.php on line 1 referer: https://www.mydomain.com/work-with-us/

    Any suggestions?

    Thank you.

    Same problem here after updating to 2.0.4! Also tried your development version linked above and still got errors. I had to dig up an old version (1.9.5). When will a working update be released?

    jongb

    (@jongb)

    I’m also getting this issue on the 2.0.4 update. It appears HTML is also not rendering with sent emails since this update.

    Robbie_berns

    (@robbernsteinzgmailcom)

    Same error on 2.0.4

    Plugin Author yehudah

    (@yehudah)

    Hello,

    Sorry for the delay, tried by best to release a new version.

    Version 2.0.5 is available.

Viewing 14 replies - 1 through 14 (of 14 total)
  • The topic ‘Error since last update’ is closed to new replies.